ranges::at_fn Struct Reference
Range

## Description

Checked indexed range access.

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires ` random_access_range< Rng > &&sized_range< Rng > &&borrowed_range< Rng >) ccconstexpr range_reference_t< Rng > operator()(Rng &&rng
return | ranges::begin (rng)[n]

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const

## Member Function Documentation

## c()

template<typename Rng >

CPP_TEMPLATE_AUX_0 ranges::at_fn::c | ( | requires ` random_access_range< Rng > &&sized_range< Rng > &&borrowed_range< Rng > |  | ) | &&

Returns
  `begin(rng)[n]`

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n ranges::at_fn::const

Initial value:
{
check_throw(rng, n)